Tag Archives: php

Laravel 5.1 – Quick Tip on Adopting PSR-2

Just a quick post to point out for those using Laravel 5.1 ( released today ) it is now using PSR-2 coding guidelines. It’s up to you if you want to adopt these guidelines, but an easy way to check your using them can be to tweak your IDE settings. There is a good guide […]

The post Laravel 5.1 – Quick Tip on Adopting PSR-2 appeared first on Pablumfication.

Read More

Check out Lumen it’s Quite Illuminating

Lumen has landed the new php framework from Taylor Otwell the creator of Laravel, with the aim of the framework being to create a great framework for producing lightning fast micro-services and APIs. This post is really just to bring Lumen to the top of my list to talk about. I’m really excited by the […]

The post Check out Lumen it’s Quite Illuminating appeared first on Pablumfication.

Read More

Cpanel IonCube Softaculous PROBLEM! How to fix it!

Cpanel IonCube Softaculous PROBLEM! How to fix it!

None of the below worked but the last line.. What did work after all of that was to go to tweak settings and select ioncube and save it… You probably need to install ioncube first but you may only need to turn it on in tweak settings so try that first!

1. Download the newest version of Ioncube here http://www.ioncube.com/loaders.php

2. extract it and upload it to your server. It is easiest to use wget like this..
wget http://downloads2.ioncube.com/loader_downloads/ioncube_loaders_lin_x86-64.tar.gz

3. Extract it tar xvzf ioncube_loaders_lin_x86-64.tar.gz

4. I am using PHP 5.2.17 so I need the ioncube_loader_lin_5.2.so version

5. Move the whole ioncube directory to /usr/local
mv ioncube /usr/local

6. Next add it to your php.ini file
vi /usr/local/lib/php.ini you can also use nano vi is just my editor of choice
add this line to the php.ini
zend_extension=”/usr/local/IonCube/ioncube_loader_lin_5.2.so”

7. save the file and restart apache to save it in vi hit esc then :wq

8. Click the restart apache in cpanel

You can also install it via easy apache which is all point and click… Although when I used easy apache it still it was not installed..
Site error: the file /usr/local/cpanel/whostmgr/docroot/cgi/softaculous/enduser/main/functions.php requires the ionCube PHP Loader ioncube_loader_lin_5.2.so to be installed by the site administrator.

After the above did not work for me either I found this.

To install IonCube loading in cPanel, run the following as root:

# /scripts/phpextensionmgr install IonCubeLoader

This did not work either even though when I did php -v it showed it as installed.. Next I found this

run this as root from your cpanel server it recomplies apache which I already di once through easyapache..
/scripts/makecpphp

that did not work either!

What did work after all of that was to go to tweak settings and select ioncube and save it…